Get Purchase
curl --request GET \
--url https://api.example.com/purchases/{purchase_id}import requests
url = "https://api.example.com/purchases/{purchase_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/purchases/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchase_id": "01J51S0JYV6N7K1030CV1ZKSCF",
"date": "2024-01-01T00:00:00Z",
"total": "9.34",
"tax": "0.85",
"subtotal": "8.49",
"item_count": 1,
"items": [
{
"item_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"price": "8.49",
"product": {
"brand": "diet-coke",
"description": "Diet Coke - 12pk/12oz cans",
"name": "Diet Coke 12pk",
"product_id": "01J51S0JYV6N7K1030CV1ZKSCB",
"upc": "049000028911"
},
"quantity": 1
}
],
"purchase_type": "online"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Purchases
Get Purchase
Get purchase details using partner OAuth Bearer authentication, or legacy X-API-Key plus a connection access token
GET
/
purchases
/
{purchase_id}
Get Purchase
Path Parameters
Response
Successful Response
The unique identifier for the purchase
Example:
"01J51S0JYV6N7K1030CV1ZKSCF"
The date and time of the purchase
Example:
"2024-01-01T00:00:00Z"
The total amount of the purchase
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Example:
"9.34"
The tax amount of the purchase
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Example:
"0.85"
The subtotal amount of the purchase
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Example:
"8.49"
The number of items in the purchase
Example:
1
The list of items in the purchase
Show child attributes
Show child attributes
Example:
[
{
"item_id": "01J51S0JYV6N7K1030CV1ZKSCA",
"price": "8.49",
"product": {
"brand": "diet-coke",
"description": "Diet Coke - 12pk/12oz cans",
"name": "Diet Coke 12pk",
"product_id": "01J51S0JYV6N7K1030CV1ZKSCB",
"upc": "049000028911"
},
"quantity": 1
}
]
Where the purchase was placed: 'online' (web/app orders, including pickup and delivery) or 'in_store' (point-of-sale receipt). Null when the source had no signal.
Available options:
online, in_store Example:
"online"